Debian Bug report logs - #644761
xawtv uses V4L1 API, no longer supported by Linux

version graph

Package: xawtv; Maintainer for xawtv is Maximiliano Curia <maxy@debian.org>; Source for xawtv is src:xawtv.

Reported by: Omer Zak <w1@zak.co.il>

Date: Sat, 8 Oct 2011 20:12:05 UTC

Severity: grave

Merged with 627435

Found in version xawtv/3.95.dfsg.1-8.1

Fixed in version xawtv/3.102-0.1

Done: Maximiliano Curia <maxy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#644761; Package linux-2.6. (Sat, 08 Oct 2011 20:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Omer Zak <w1@zak.co.il>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 08 Oct 2011 20:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Omer Zak <w1@zak.co.il>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-vserver-amd64: xawtv does not work with USB Webcam served by the gspca driver
Date: Sat, 08 Oct 2011 20:53:21 +0200
Package: linux-2.6
Version: 2.6.32-35squeeze2
Severity: normal
Tags: squeeze

xawtv used to work, but now it has a regression.
I assume that the problem is in the gspca kernel driver, but it could be in an
X-Window video driver.


$ lsusb| egrep -in cam
7:Bus 004 Device 002: ID 046d:092e Logitech, Inc. QuickCam Chat
$ xawtv
This is xawtv-3.95.dfsg.1, running on Linux/x86_64 (2.6.32-5-vserver-amd64)
xinerama 0: 1920x1080+0+0
X Error of failed request:  XF86DGANoDirectVideoMode
  Major opcode of failed request:  130 (XFree86-DGA)
  Minor opcode of failed request:  1 (XF86DGAGetVideoLL)
  Serial number of failed request:  69
  Current serial number in output stream:  69
$ xawtv -nodga
This is xawtv-3.95.dfsg.1, running on Linux/x86_64 (2.6.32-5-vserver-amd64)
xinerama 0: 1920x1080+0+0
X Error of failed request:  XF86DGANoDirectVideoMode
  Major opcode of failed request:  130 (XFree86-DGA)
  Minor opcode of failed request:  1 (XF86DGAGetVideoLL)
  Serial number of failed request:  15
  Current serial number in output stream:  15
v4l-conf had some trouble, trying to continue anyway
Warning: Cannot convert string "-*-ledfixed-medium-r-*--39-*-*-*-c-*-*-*" to type FontStruct
ioctl: VIDIOC_G_STD(std=0x7f7dc9ed9bca [PAL_B1,PAL_H,PAL_D1,PAL_K,PAL_M,PAL_N,PAL_60,NTSC_M,?,SECAM_B,SECAM_G,SECAM_H,SECAM_K1,SECAM_L,?ATSC_8_VSB,ATSC_16_VSB,(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)]): Invalid argument
ioctl: VIDIOC_S_STD(std=0x0 []): Invalid argument

xawtv without the -nodga option does not display any window.
xawtv -nodga also displays a black window.

X-Window version:
$ dpkg -l | egrep -i xorg
ii  xorg                                          1:7.5+8                           X.Org X Window System
ii  xorg-docs-core                                1:1.5-1                           Core documentation for the X.org X Window System
ii  xserver-xorg                                  1:7.5+8                           the X.Org X server
ii  xserver-xorg-core                             2:1.7.7-13                        Xorg X server - core server
ii  xserver-xorg-input-all                        1:7.5+8                           the X.Org X server -- input driver metapackage
ii  xserver-xorg-input-evdev                      1:2.3.2-6                         X.Org X server -- evdev input driver
ii  xserver-xorg-input-kbd                        1:1.4.0-2                         X.Org X server -- keyboard input driver
ii  xserver-xorg-input-mouse                      1:1.5.0-2                         X.Org X server -- mouse input driver
ii  xserver-xorg-input-synaptics                  1.2.2-2                           Synaptics TouchPad driver for X.Org server
ii  xserver-xorg-input-wacom                      0.10.5+20100416-1                 X.Org X server -- Wacom input driver
ii  xserver-xorg-video-all                        1:7.5+8                           the X.Org X server -- output driver metapackage
ii  xserver-xorg-video-apm                        1:1.2.2-2                         X.Org X server -- APM display driver
ii  xserver-xorg-video-ark                        1:0.7.2-2                         X.Org X server -- ark display driver
ii  xserver-xorg-video-ati                        1:6.13.1-2+squeeze1               X.Org X server -- AMD/ATI display driver wrapper
ii  xserver-xorg-video-chips                      1:1.2.3-1                         X.Org X server -- Chips display driver
ii  xserver-xorg-video-cirrus                     1:1.3.2-2+squeeze1                X.Org X server -- Cirrus display driver
ii  xserver-xorg-video-dummy                      1:0.3.3-2                         X.Org X server -- dummy display driver
ii  xserver-xorg-video-fbdev                      1:0.4.2-2                         X.Org X server -- fbdev display driver
ii  xserver-xorg-video-glint                      1:1.2.4-2                         X.Org X server -- Glint display driver
ii  xserver-xorg-video-i128                       1:1.3.3-2                         X.Org X server -- i128 display driver
ii  xserver-xorg-video-intel                      2:2.13.0-6                        X.Org X server -- Intel i8xx, i9xx display driver
ii  xserver-xorg-video-mach64                     6.8.2-3                           X.Org X server -- ATI Mach64 display driver
ii  xserver-xorg-video-mga                        1:1.4.11.dfsg-4+squeeze1          X.Org X server -- MGA display driver
ii  xserver-xorg-video-neomagic                   1:1.2.4-3                         X.Org X server -- Neomagic display driver
ii  xserver-xorg-video-nouveau                    1:0.0.15+git20100329+7858345-5    X.Org X server -- Nouveau display driver (experimental)
ii  xserver-xorg-video-nv                         1:2.1.17-3                        X.Org X server -- NV display driver
ii  xserver-xorg-video-openchrome                 1:0.2.904+svn842-2                X.Org X server -- VIA display driver
ii  xserver-xorg-video-r128                       6.8.1-3                           X.Org X server -- ATI r128 display driver
ii  xserver-xorg-video-radeon                     1:6.13.1-2+squeeze1               X.Org X server -- AMD/ATI Radeon display driver
ii  xserver-xorg-video-radeonhd                   1.3.0-3                           X.Org X server -- AMD/ATI r5xx-r7xx alternate display driver
ii  xserver-xorg-video-rendition                  1:4.2.3-3                         X.Org X server -- Rendition display driver
ii  xserver-xorg-video-s3                         1:0.6.3-2                         X.Org X server -- legacy S3 display driver
ii  xserver-xorg-video-s3virge                    1:1.10.4-2                        X.Org X server -- S3 ViRGE display driver
ii  xserver-xorg-video-savage                     1:2.3.1-2                         X.Org X server -- Savage display driver
ii  xserver-xorg-video-siliconmotion              1:1.7.3-2                         X.Org X server -- SiliconMotion display driver
ii  xserver-xorg-video-sis                        1:0.10.3-1                        X.Org X server -- SiS display driver
ii  xserver-xorg-video-sisusb                     1:0.9.3-2                         X.Org X server -- SiS USB display driver
ii  xserver-xorg-video-tdfx                       1:1.4.3-2                         X.Org X server -- tdfx display driver
ii  xserver-xorg-video-tga                        1:1.2.1-2                         X.Org X server -- TGA display driver
ii  xserver-xorg-video-trident                    1:1.3.3-2                         X.Org X server -- Trident display driver
ii  xserver-xorg-video-tseng                      1:1.2.3-2+squeeze1                X.Org X server -- Tseng display driver
ii  xserver-xorg-video-vesa                       1:2.3.0-3                         X.Org X server -- VESA display driver
ii  xserver-xorg-video-vmware                     1:11.0.1-2                        X.Org X server -- VMware display driver
ii  xserver-xorg-video-voodoo                     1:1.2.3-2                         X.Org X server -- Voodoo display driver


-- Package-specific info:
** Version:
Linux version 2.6.32-5-vserver-amd64 (Debian 2.6.32-35squeeze2) (dannf@debian.org) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Fri Sep 9 21:43:53 UTC 2011

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.32-5-vserver-amd64 root=/dev/mapper/c4-root ro quiet

** Not tainted

** Kernel log:
[was censored - has irrelevant but sensitive information]
** Model information
sys_vendor:         
product_name:         
product_version:         
chassis_vendor:         
chassis_version:         
bios_vendor: Intel Corp.
bios_version: SOX5810J.86A.3435.2009.0210.2311
board_vendor: Intel Corporation
board_name: DX58SO
board_version: AAE29331-503

** Loaded modules:
Module                  Size  Used by
gspca_ov519            19498  0 
nls_utf8                1208  0 
isofs                  27512  0 
udf                    67821  0 
vboxnetadp              4683  0 
vboxnetflt             15888  0 
vboxdrv              1748801  2 vboxnetadp,vboxnetflt
acpi_cpufreq            5571  0 
cpufreq_conservative     5162  0 
cpufreq_powersave        902  0 
cpufreq_stats           2659  0 
cpufreq_userspace       2008  0 
sco                     7241  2 
bridge                 39678  0 
stp                     1440  1 bridge
bnep                    9475  2 
rfcomm                 29677  0 
l2cap                  24768  6 bnep,rfcomm
crc16                   1319  1 l2cap
bluetooth              41859  6 sco,bnep,rfcomm,l2cap
rfkill                 13060  3 bluetooth
binfmt_misc             6447  1 
fuse                   51020  1 
xt_tcpudp               2319  93 
nf_conntrack_ipv4       9833  73 
nf_defrag_ipv4          1139  1 nf_conntrack_ipv4
xt_state                1303  73 
ipt_REJECT              1953  4 
xt_limit                1782  6 
ipt_LOG                 4518  6 
nf_conntrack_ftp        5553  0 
nf_conntrack_irc        3363  0 
nf_conntrack           46599  4 nf_conntrack_ipv4,xt_state,nf_conntrack_ftp,nf_conntrack_irc
iptable_filter          2258  1 
ip_tables              13915  1 iptable_filter
x_tables               12845  6 xt_tcpudp,xt_state,ipt_REJECT,xt_limit,ipt_LOG,ip_tables
ext2                   55129  1 
coretemp                4325  0 
firewire_sbp2          11530  0 
loop                   11991  0 
snd_hda_codec_atihdmi     2251  1 
snd_hda_codec_realtek   235602  1 
snd_hda_intel          20051  3 
snd_hda_codec          54244  3 snd_hda_codec_atihdmi,snd_hda_codec_realtek,snd_hda_intel
gspca_spca561           8512  1 
gspca_main             18727  3 gspca_ov519,gspca_spca561
snd_hwdep               5380  1 snd_hda_codec
snd_pcm_oss            32591  0 
videodev               30025  2 gspca_main
snd_mixer_oss          12606  1 snd_pcm_oss
v4l1_compat            11442  1 videodev
snd_pcm                60503  4 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi            4400  0 
v4l2_compat_ioctl32     8474  1 videodev
snd_rawmidi            15515  1 snd_seq_midi
snd_seq_midi_event      4628  1 snd_seq_midi
snd_seq                42929  2 snd_seq_midi,snd_seq_midi_event
snd_timer              15582  3 snd_pcm,snd_seq
radeon                574988  3 
snd_seq_device          4493  3 snd_seq_midi,snd_rawmidi,snd_seq
ttm                    40226  1 radeon
snd                    46542  15 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
drm_kms_helper         20385  1 radeon
soundcore               4598  1 snd
drm                   142375  5 radeon,ttm,drm_kms_helper
snd_page_alloc          6265  2 snd_hda_intel,snd_pcm
pcspkr                  1699  0 
i2c_i801                7830  0 
psmouse                49953  0 
i2c_algo_bit            4225  1 radeon
wmi                     4323  0 
serio_raw               3752  0 
evdev                   7352  14 
i2c_core               15835  6 videodev,radeon,drm_kms_helper,drm,i2c_i801,i2c_algo_bit
button                  4650  0 
processor              29967  1 acpi_cpufreq
ext3                  109222  6 
jbd                    37149  1 ext3
mbcache                 5050  2 ext2,ext3
sha256_generic          8692  2 
aes_x86_64              7340  2 
aes_generic            25714  1 aes_x86_64
cbc                     2539  1 
usbhid                 33324  0 
hid                    63289  1 usbhid
dm_crypt               10696  1 
dm_mod                 54368  31 dm_crypt
sg                     24085  0 
ata_generic             3239  0 
sr_mod                 12602  0 
pata_marvell            2645  0 
cdrom                  29415  1 sr_mod
sd_mod                 29937  3 
crc_t10dif              1276  1 sd_mod
ahci                   32534  2 
firewire_ohci          19708  0 
libata                133824  3 ata_generic,pata_marvell,ahci
firewire_core          36896  2 firewire_sbp2,firewire_ohci
scsi_mod              126581  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
uhci_hcd               18553  0 
crc_itu_t               1307  2 udf,firewire_core
ehci_hcd               32161  0 
e1000e                110127  0 
usbcore               122578  7 gspca_ov519,gspca_spca561,gspca_main,usbhid,uhci_hcd,ehci_hcd
nls_base                6377  4 nls_utf8,isofs,udf,usbcore
thermal                11674  0 
thermal_sys            11942  2 processor,thermal

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 5520/5500/X58 I/O Hub to ESI Port [8086:3405] (rev 12)
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 11
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 1 [8086:3408] (rev 12) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:03.0 PCI bridge [0604]: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 3 [8086:340a] (rev 12) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d0200000-d02fffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:07.0 PCI bridge [0604]: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 7 [8086:340e] (rev 12) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:10.0 PIC [0800]: Intel Corporation 5520/5500/X58 Physical and Link Layer Registers Port 0 [8086:3425] (rev 12) (prog-if 00 [8259])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:10.1 PIC [0800]: Intel Corporation 5520/5500/X58 Routing and Protocol Layer Registers Port 0 [8086:3426] (rev 12) (prog-if 00 [8259])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:14.0 PIC [0800]: Intel Corporation 5520/5500/X58 I/O Hub System Management Registers [8086:342e] (rev 12) (prog-if 00 [8259])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:14.1 PIC [0800]: Intel Corporation 5520/5500/X58 I/O Hub GPIO and Scratch Pad Registers [8086:3422] (rev 12) (prog-if 00 [8259])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:14.2 PIC [0800]: Intel Corporation 5520/5500/X58 I/O Hub Control Status and RAS Registers [8086:3423] (rev 12) (prog-if 00 [8259])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:14.3 PIC [0800]: Intel Corporation 5520/5500/X58 I/O Hub Throttle Registers [8086:3438] (rev 12) (prog-if 00 [8259])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:19.0 Ethernet controller [0200]: Intel Corporation 82567LM-2 Gigabit Network Connection [8086:10cc]
	Subsystem: Intel Corporation Device [8086:0000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 32
	Region 0: Memory at d0300000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at d0323000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at 3100 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e

00:1a.0 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4 [8086:3a37] (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at 30e0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5 [8086:3a38] (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 30c0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.2 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6 [8086:3a39] (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 4: I/O ports at 30a0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2 [8086:3a3c] (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at d0322000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller [8086:3a3e]
	Subsystem: Intel Corporation Device [8086:0022]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at f0000000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 1 [8086:3a40] (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 2 [8086:3a42] (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.4 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 5 [8086:3a48] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: d0100000-d01fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1 [8086:3a34] (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 3080 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2 [8086:3a35] (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 3060 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3 [8086:3a36] (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 3040 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1 [8086:3a3a] (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at d0321000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 90) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=32
	Memory behind bridge: d0000000-d00fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller [8086:3a16]
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation 82801JI (ICH10 Family) SATA AHCI Controller [8086:3a22] (prog-if 01 [AHCI 1.0])
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 33
	Region 0: I/O ports at 3128 [size=8]
	Region 1: I/O ports at 3134 [size=4]
	Region 2: I/O ports at 3120 [size=8]
	Region 3: I/O ports at 3130 [size=4]
	Region 4: I/O ports at 3020 [size=32]
	Region 5: Memory at d0320000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801JI (ICH10 Family) SMBus Controller [8086:3a30]
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 18
	Region 0: Memory at f0004000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 3000 [size=32]
	Kernel driver in use: i801_smbus

02:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV790 [Radeon HD 4800 Series] [1002:9460] (prog-if 00 [VGA controller])
	Subsystem: ATI Technologies Inc Device [1002:0502]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 34
	Region 0: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 2: Memory at d0200000 (64-bit, non-prefetchable) [size=64K]
	Region 4: I/O ports at 2000 [size=256]
	Expansion ROM at d0220000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeon

02:00.1 Audio device [0403]: ATI Technologies Inc HD48x0 audio [1002:aa30]
	Subsystem: ATI Technologies Inc HD48x0 audio [1002:aa30]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at d0210000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

06:00.0 IDE interface [0101]: Marvell Technology Group Ltd. 88SE6121 SATA II Controller [11ab:6121] (rev b2) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 1018 [size=8]
	Region 1: I/O ports at 1024 [size=4]
	Region 2: I/O ports at 1010 [size=8]
	Region 3: I/O ports at 1020 [size=4]
	Region 4: I/O ports at 1000 [size=16]
	Region 5: Memory at d0100000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: pata_marvell

07:03.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link) [104c:8023] (prog-if 10 [OHCI])
	Subsystem: Intel Corporation Device [8086:4f53]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at d0004000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at d0000000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci


** USB devices:
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 003: ID 04a5:20b0 Acer Peripherals Inc. (now BenQ Corp.) S2W 3300U/4300U
Bus 005 Device 002: ID 03eb:3301 Atmel Corp. at43301 4-Port Hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 046d:092e Logitech, Inc. QuickCam Chat
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 003: ID 045e:0040 Microsoft Corp. Wheel Mouse Optical
Bus 002 Device 002: ID 046d:c313 Logitech, Inc. 
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 005: ID 05e3:0606 Genesys Logic, Inc. USB 2.0 Hub / D-Link DUB-H4 USB 2.0 Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: 6.0.2
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-vserver-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-vserver-amd64 depends on:
ii  debconf [debconf-2.0]  1.5.36.1          Debian configuration management sy
ii  initramfs-tools [linux 0.98.8            tools for generating an initramfs
ii  linux-base             2.6.32-35squeeze2 Linux image base package
ii  module-init-tools      3.12-1            tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-vserver-amd64 recommends:
ii  firmware-linux-fre 2.6.32-35squeeze2     Binary firmware for various driver
ii  util-vserver       0.30.216-pre2864-2+b1 user-space tools for Linux-VServer

Versions of packages linux-image-2.6.32-5-vserver-amd64 suggests:
ii  grub                   0.97-64           GRand Unified Bootloader (dummy pa
ii  linux-doc-2.6.32       2.6.32-35squeeze2 Linux kernel specific documentatio

Versions of packages linux-image-2.6.32-5-vserver-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
ii  firmware-linux-nonfree        0.28       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-vserver-amd64/postinst/depmod-error-initrd-2.6.32-5-vserver-amd64: false
* linux-image-2.6.32-5-vserver-amd64/postinst/missing-firmware-2.6.32-5-vserver-amd64:
  linux-image-2.6.32-5-vserver-amd64/prerm/removing-running-kernel-2.6.32-5-vserver-amd64: true
  linux-image-2.6.32-5-vserver-amd64/postinst/ignoring-do-bootloader-2.6.32-5-vserver-amd64:




Removed tag(s) squeeze. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 08 Oct 2011 20:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#644761; Package linux-2.6. (Sat, 08 Oct 2011 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 08 Oct 2011 23:39:03 GMT) Full text and rfc822 format available.

Message #12 received at 644761@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Omer Zak <w1@zak.co.il>, 644761@bugs.debian.org
Subject: Re: Bug#644761: linux-image-2.6.32-5-vserver-amd64: xawtv does not work with USB Webcam served by the gspca driver
Date: Sun, 09 Oct 2011 00:35:17 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2011-10-08 at 20:53 +0200, Omer Zak wrote:
> Package: linux-2.6
> Version: 2.6.32-35squeeze2
> Severity: normal
> Tags: squeeze
> 
> xawtv used to work, but now it has a regression.
> I assume that the problem is in the gspca kernel driver, but it could be in an
> X-Window video driver.
[...]
> $ xawtv -nodga
> This is xawtv-3.95.dfsg.1, running on Linux/x86_64 (2.6.32-5-vserver-amd64)
> xinerama 0: 1920x1080+0+0
> X Error of failed request:  XF86DGANoDirectVideoMode
>   Major opcode of failed request:  130 (XFree86-DGA)
>   Minor opcode of failed request:  1 (XF86DGAGetVideoLL)
>   Serial number of failed request:  15
>   Current serial number in output stream:  15
> v4l-conf had some trouble, trying to continue anyway
> Warning: Cannot convert string "-*-ledfixed-medium-r-*--39-*-*-*-c-*-*-*" to type FontStruct
> ioctl: VIDIOC_G_STD(std=0x7f7dc9ed9bca [PAL_B1,PAL_H,PAL_D1,PAL_K,PAL_M,PAL_N,PAL_60,NTSC_M,?,SECAM_B,SECAM_G,SECAM_H,SECAM_K1,SECAM_L,?ATSC_8_VSB,ATSC_16_VSB,(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)]): Invalid argument
> ioctl: VIDIOC_S_STD(std=0x0 []): Invalid argument
[...]

xawtv still uses V4L1, which is obsolete:
<http://wiki.debian.org/ReleaseGoals/NoVideo4Linux1>.

I'll reassign this to xawtv.

Ben.

-- 
Ben Hutchings
Reality is just a crutch for people who can't handle science fiction.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'linux-2.6' to 'xawtv'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 08 Oct 2011 23:42:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-35squeeze2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 08 Oct 2011 23:42:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xawtv/3.95.dfsg.1-8.1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 08 Oct 2011 23:42:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'xawtv uses V4L1 API, no longer supported by Linux' from 'linux-image-2.6.32-5-vserver-amd64: xawtv does not work with USB Webcam served by the gspca driver' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 08 Oct 2011 23:42:05 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 08 Oct 2011 23:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#644761; Package xawtv. (Sat, 08 Oct 2011 23:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Sat, 08 Oct 2011 23:45:08 GMT) Full text and rfc822 format available.

Message #27 received at 644761@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 644761@bugs.debian.org
Subject: Re: Bug#644761: linux-image-2.6.32-5-vserver-amd64: xawtv does not work with USB Webcam served by the gspca driver
Date: Sun, 09 Oct 2011 00:41:00 +0100
[Message part 1 (text/plain, inline)]
I suggest you apply Fedora's patches from
<https://bugzilla.redhat.com/show_bug.cgi?id=457796>.  These also fix
the default behaviour of using the archaic DGA extension.

Ben.

-- 
Ben Hutchings
Reality is just a crutch for people who can't handle science fiction.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#644761; Package xawtv. (Tue, 29 Nov 2011 08:58:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard@debian.org>:
Extra info received and forwarded to list. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Tue, 29 Nov 2011 08:59:07 GMT) Full text and rfc822 format available.

Message #32 received at 644761@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: control@bugs.debian.org, 627435@bugs.debian.org, 644761@bugs.debian.org
Subject: merging bugs caused by V4L1 API
Date: Tue, 29 Nov 2011 03:55:09 -0500
reassign 627435 xawtv
forcemerge 627435 644761
thanks

merging these two bug reports since they both are caused by V4L1 API,
no longer supported by Linux.

See:
https://bugzilla.redhat.com/show_bug.cgi?id=680813

Can be fixed by upgrading to 3.100. Also applying Fedora's patches may
help with this and other bugs.




Forcibly Merged 627435 644761. Request was from Scott Howard <showard@debian.org> to control@bugs.debian.org. (Tue, 29 Nov 2011 09:00:04 GMT) Full text and rfc822 format available.

Reply sent to Maximiliano Curia <maxy@debian.org>:
You have taken responsibility. (Thu, 19 Jan 2012 04:21:53 GMT) Full text and rfc822 format available.

Notification sent to Omer Zak <w1@zak.co.il>:
Bug acknowledged by developer. (Thu, 19 Jan 2012 04:21:53 GMT) Full text and rfc822 format available.

Message #39 received at 644761-close@bugs.debian.org (full text, mbox):

From: Maximiliano Curia <maxy@debian.org>
To: 644761-close@bugs.debian.org
Subject: Bug#644761: fixed in xawtv 3.102-0.1
Date: Thu, 19 Jan 2012 04:17:46 +0000
Source: xawtv
Source-Version: 3.102-0.1

We believe that the bug you reported is fixed in the latest version of
xawtv, which is due to be installed in the Debian FTP archive:

alevtd_3.102-0.1_amd64.deb
  to main/x/xawtv/alevtd_3.102-0.1_amd64.deb
fbtv_3.102-0.1_amd64.deb
  to main/x/xawtv/fbtv_3.102-0.1_amd64.deb
pia_3.102-0.1_amd64.deb
  to main/x/xawtv/pia_3.102-0.1_amd64.deb
radio_3.102-0.1_amd64.deb
  to main/x/xawtv/radio_3.102-0.1_amd64.deb
scantv_3.102-0.1_amd64.deb
  to main/x/xawtv/scantv_3.102-0.1_amd64.deb
streamer_3.102-0.1_amd64.deb
  to main/x/xawtv/streamer_3.102-0.1_amd64.deb
ttv_3.102-0.1_amd64.deb
  to main/x/xawtv/ttv_3.102-0.1_amd64.deb
v4l-conf_3.102-0.1_amd64.deb
  to main/x/xawtv/v4l-conf_3.102-0.1_amd64.deb
webcam_3.102-0.1_amd64.deb
  to main/x/xawtv/webcam_3.102-0.1_amd64.deb
xawtv-plugin-qt_3.102-0.1_amd64.deb
  to main/x/xawtv/xawtv-plugin-qt_3.102-0.1_amd64.deb
xawtv-plugins_3.102-0.1_amd64.deb
  to main/x/xawtv/xawtv-plugins_3.102-0.1_amd64.deb
xawtv-tools_3.102-0.1_amd64.deb
  to main/x/xawtv/xawtv-tools_3.102-0.1_amd64.deb
xawtv_3.102-0.1.debian.tar.gz
  to main/x/xawtv/xawtv_3.102-0.1.debian.tar.gz
xawtv_3.102-0.1.dsc
  to main/x/xawtv/xawtv_3.102-0.1.dsc
xawtv_3.102-0.1_amd64.deb
  to main/x/xawtv/xawtv_3.102-0.1_amd64.deb
xawtv_3.102.orig.tar.gz
  to main/x/xawtv/xawtv_3.102.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644761@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Maximiliano Curia <maxy@debian.org> (supplier of updated xawtv package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 15 Jan 2012 16:53:21 -0300
Source: xawtv
Binary: xawtv pia fbtv ttv scantv streamer radio v4l-conf xawtv-tools xawtv-plugin-qt xawtv-plugins webcam alevtd
Architecture: source amd64
Version: 3.102-0.1
Distribution: unstable
Urgency: low
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Changed-By: Maximiliano Curia <maxy@debian.org>
Description: 
 alevtd     - HTTP daemon for teletext pages
 fbtv       - television viewer - Linux framebuffer application
 pia        - movie player for xawtw
 radio      - ncurses-based radio application
 scantv     - television channel-scanner
 streamer   - television capture tool (images/movies)
 ttv        - television viewer - console application
 v4l-conf   - tool to configure video4linux drivers
 webcam     - image grabber and uploader
 xawtv      - television viewer - X11 application
 xawtv-plugin-qt - television viewer - QuickTime plugin
 xawtv-plugins - television viewer - plugins
 xawtv-tools - television viewer - tools
Closes: 200248 227590 299460 366144 390312 444449 454186 513818 564229 578974 584090 627435 633387 634984 636909 638439 638440 639248 639500 643652 644761 650849 654302
Changes: 
 xawtv (3.102-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * New upstream release (Closes: #650849) (Closes: #627435) (Closes: #299460)
     (Closes: #654302) (Closes: #634984) (Closes: #639500) (Closes: #638440)
     (Closes: #638439) (Closes: #513818) (Closes: #644761) (Closes: #584090)
     (Closes: #454186) (Closes: #444449) (Closes: #390312) (Closes: #366144)
     (Closes: #200248) (Closes: #636909) (Closes: #643652) (Closes: #227590)
   * Migration to debian format 3.0 (quilt)
   * Remove all patches, upstream have already applied them.
   * [remove_dl_motif] upstream patch imported from git, removes dl option to
     motif libraries.
   * [fix_libjpeg_segfault] upstream patch imported from git, fixes libjpeg8
     segfaults
   * Fix typographic errors in package descrition (Closes: #639248),
     thanks to Simon Kainz <simon@familiekainz.at> for the fix.
   * Update xawtv menu (Closes: #564229)
   * Update dependencies (Closes: #633387) (Closes: #578974)
   * Updated Standards-Version to 3.9.2 (No changes).
Checksums-Sha1: 
 5df523b5590b8d129f69e8a94e5642b04f4fbc2f 2596 xawtv_3.102-0.1.dsc
 179ea85c283c4b2879599c4f01dd2bf49511cbce 494138 xawtv_3.102.orig.tar.gz
 e5d0dec7d9553cf17b5ab9924dda10a87954c4cc 29835 xawtv_3.102-0.1.debian.tar.gz
 b5c043c11592f20cfd916b7cefd81758f50b3428 386716 xawtv_3.102-0.1_amd64.deb
 68953d604c6ba402ead1815631fcfdfacd9f0a03 69002 pia_3.102-0.1_amd64.deb
 ee941d3e9dc5947d82781c9a63bc53cf049c7735 101722 fbtv_3.102-0.1_amd64.deb
 404eb5c5aba07bc10b6b210bb6845161ca505dca 84364 ttv_3.102-0.1_amd64.deb
 904ed9e17bd1ff6e27c1de123052ec4434573713 89932 scantv_3.102-0.1_amd64.deb
 a14a1ec0161a0ddbd377170f94d10c008e88fe22 86498 streamer_3.102-0.1_amd64.deb
 b0dfed744370456bcdfa307adad43111f32e3262 41854 radio_3.102-0.1_amd64.deb
 0624ef3275ec90b8f80bc558e1d7cb36c84c4c01 49668 v4l-conf_3.102-0.1_amd64.deb
 95136bbd3cdad204bdb4906235956859e89b9ba3 55976 xawtv-tools_3.102-0.1_amd64.deb
 8488c4eff91f2af6c6c5b91b1f85a6e68d75bbae 40814 xawtv-plugin-qt_3.102-0.1_amd64.deb
 b3dff7b79a656873cb6840fde3a22aaa6031e1b8 111806 xawtv-plugins_3.102-0.1_amd64.deb
 9b3e18868ea4c014e9c19c26bfa85893b26c2102 67966 webcam_3.102-0.1_amd64.deb
 2852fe065d33ac9db04a6f6bd0a127698cdeffa5 57814 alevtd_3.102-0.1_amd64.deb
Checksums-Sha256: 
 6c1fbf39d80e16f29cc01b3e9456d143ebd342fd7393e68c0562167b1879a21e 2596 xawtv_3.102-0.1.dsc
 cb1fad77cfb2bf5af2146cf1f3466ad4836352e6b2371b428f0421c8a2bfaf64 494138 xawtv_3.102.orig.tar.gz
 b9d86cc8012bb424e2d542201e458694560b41ca133f74d2c2afc7ca4c1c3891 29835 xawtv_3.102-0.1.debian.tar.gz
 0dae7230326fde719a8bebb5f2a1823330c6316ffe86dd5a17a70e1641193e97 386716 xawtv_3.102-0.1_amd64.deb
 de3360ad8bc9ee88f22bd6caf6144de3cbd50f769c0bee3d2bab0d7b58be58cf 69002 pia_3.102-0.1_amd64.deb
 72452f9da2943ee22f66c58420f86aa9a4dd21f01121c6a1f054ee61e4149e55 101722 fbtv_3.102-0.1_amd64.deb
 6fd5f959a91900df945b7b2326c2c158d4ff952eb5b19f3a2bf97c6231113bb3 84364 ttv_3.102-0.1_amd64.deb
 27a53bc1eabab14656f0d5a296db93b8b429f242d544d7398e147f07054155c5 89932 scantv_3.102-0.1_amd64.deb
 b59a6a846acfb3952745a7dd702bc445a4784903028f1032c4402a0f544c9ed0 86498 streamer_3.102-0.1_amd64.deb
 a4ad0c07254efa9aaa5d87c789510533310ac2ab5d03b839a0d7723a85df3833 41854 radio_3.102-0.1_amd64.deb
 3f855d934f895c90d41e01e103b4547cebfb5b0c1f86dd86808b9c8c62bec15a 49668 v4l-conf_3.102-0.1_amd64.deb
 dd0a69189809382b2167ce72dadef30fec916fcbf631fdebf8319106f4d6cc92 55976 xawtv-tools_3.102-0.1_amd64.deb
 fed923b273cec769cd1ab8ca9e952548724a2391837db87e2abd184e7b4bc85d 40814 xawtv-plugin-qt_3.102-0.1_amd64.deb
 ff9de778c1d829c0fb31ebe517a1f10043c9c63201ecdca943de1dd9ede9c8aa 111806 xawtv-plugins_3.102-0.1_amd64.deb
 e557c6ebc83fed600cc8d8a48864300cc649896c3cbbcaf13b55c5fe6e9a805f 67966 webcam_3.102-0.1_amd64.deb
 3b14263ac61cd4c96076d8d3031d381d27f752a69d59710d2881dc9b6bfaa1c9 57814 alevtd_3.102-0.1_amd64.deb
Files: 
 ed159828218134c5024c24a67d4b6bf5 2596 graphics extra xawtv_3.102-0.1.dsc
 049168dae6d51e30e64c582d41a8c83f 494138 graphics extra xawtv_3.102.orig.tar.gz
 ad506d7527379f3e474e542949eaf026 29835 graphics extra xawtv_3.102-0.1.debian.tar.gz
 f9fd44c703c5ed2a8c713256fb64b86d 386716 x11 extra xawtv_3.102-0.1_amd64.deb
 033dcb95ba18434a0710da1fe488fc89 69002 x11 extra pia_3.102-0.1_amd64.deb
 406953be87d51155982ad0511ce21cfc 101722 graphics extra fbtv_3.102-0.1_amd64.deb
 aa2267ae78357b82ecdaa9b87859e827 84364 graphics extra ttv_3.102-0.1_amd64.deb
 4631f7b340df9ebf8bdefd903c8a4b70 89932 graphics extra scantv_3.102-0.1_amd64.deb
 f383b6afc03d1697fd0ed1fbc9dd9922 86498 graphics extra streamer_3.102-0.1_amd64.deb
 a6f16eec8cdadab6e818b62a5d24c25b 41854 sound extra radio_3.102-0.1_amd64.deb
 7c7f6f4dc892bda882baeb42256dde2d 49668 graphics extra v4l-conf_3.102-0.1_amd64.deb
 72fec2b7a925b4e32a2bfd92f8021d67 55976 graphics extra xawtv-tools_3.102-0.1_amd64.deb
 e507bb865403409bbf4d3d9954e8c9ad 40814 graphics extra xawtv-plugin-qt_3.102-0.1_amd64.deb
 ac016939e36162f0b34a8f7359152830 111806 graphics extra xawtv-plugins_3.102-0.1_amd64.deb
 72617f3ac409189dafd7c31e2b48bbb1 67966 net extra webcam_3.102-0.1_amd64.deb
 c8f7fce58bc04dd2847a268b763d46ce 57814 net extra alevtd_3.102-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPF5aPAAoJEMcZdpmymyMqHd0P/imJb9pFXjKrJ6J93O6+NqCG
KI34T9wwknZcVDY9LcuHauUiU6bDTkawwyvYlgNWzSv/xPqItfynoWxHlUluR6TF
8UDj5/YO7NnZ1mqgC2H70jjjcC/gKdeCrsxslimS9X97xrngo24NaisgaDgqrHuh
SGxjOAXI531LY40Ai2Aph3k0ZDJQVSOWK3L1Vo2ra+POuVBmkCiDwgNGVJ54CO5a
z9fwxO9/RlTIMVcxuv6xxRo8x0qJ4CnZAQpHOJC2n1HIToB6ThR+Y7X1tdeJiZu8
+Dc0UKOliwT/Do8RLZ6GhCPH8ebUBVyii9qePwoCLHK5d2ZG6CEd7SFfgqAgkKA5
ksR8XB8Qstwm5LNYZGRmw2Xt2xPkUC/6Q5B1oVu8Q4GZ1P5fzhf/cqGjJIKDWonp
x059OR2Chmptdjs7lKgW8s/FDrGRoryjDiKU3Pv2iEWpyyGlj8DnYkAeqWxgqR9V
s3y9PXGg61Ss29SOSPkUyCHEfmPRlRsWpNPZGRVZspaXS7e1gTryBEyV88gwvWH+
FR5Q8/eSI7yHdf6c9W3DFHm8iuCJ1spjQrBVtVvTr5OaMXOHNdFjabM06+um+p2n
cUZGJSKDLUVgdGsvWoo3jM7RRTHTr5RxGCZ/BCs2IKYV9pjAeNX1EWWWrtx8fddN
3547s8mk8sCIYMb77JiW
=6YXP
-----END PGP SIGNATURE-----





Reply sent to Maximiliano Curia <maxy@debian.org>:
You have taken responsibility. (Thu, 19 Jan 2012 04:21:54 GMT) Full text and rfc822 format available.

Notification sent to Johannes Strecha <j.strecha@gmail.com>:
Bug acknowledged by developer. (Thu, 19 Jan 2012 04:21:54 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:49:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:24:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.